LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XDrawPageSummarizer Interface Referencepublished

is implemented by documents that can create summaries of their DrawPages. More...

`import"XDrawPageSummarizer.idl";`

Inheritance diagram for XDrawPageSummarizer:

## Public Member Functions
com::sun::star::drawing::XDrawPage | summarize ([in] com::sun::star::drawing::XDrawPages xPages)
| creates a new DrawPage with a summary of all DrawPages in the given collection. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is implemented by documents that can create summaries of their DrawPages.

Deprecated:

## Member Function Documentation

com::sun::star::drawing::XDrawPage summarize | ( | [in] com::sun::star::drawing::XDrawPages | xPages | ) |

creates a new DrawPage with a summary of all DrawPages in the given collection.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XDrawPageSummarizer.idl